<div class="login-box">
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <h1>{{title}}</h1>
    </div>
    <div class="card-body">
      <p *ngIf="errorMessage" class="text-danger login-box-msg">{{errorMessage}}</p>
      <form role="form" [formGroup]="formLogin" autocomplete="off">
        <div class="input-group" [ngClass]="{'mb-3': !hasError('email')}">
          <input type="email" class="form-control" (keyup)="limpiarErrores('email')" formControlName="email" [ngClass]="{'is-valid': formLogin.controls['email'].valid, 'is-invalid': hasError('email') || hasError('email', 'email')}" placeholder="Correo electrónico">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('email')" class="mb-3">
          <span *ngFor="let errorEmail of errores.email" class="text-danger">{{errorEmail}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('password')}">
          <input type="password" class="form-control" (keyup)="limpiarErrores('password')" formControlName="password" [ngClass]="{'is-valid': formLogin.controls['password'].valid, 'is-invalid': hasError('password')}" placeholder="Contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('password')" class="mb-3">
          <span *ngFor="let errorPass of errores.password" class="text-danger">{{errorPass}}</span>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" (click)="onSubmit()" [disabled]="loading" class="btn btn-primary btn-block"><i class="fas" [ngClass]="{'fa-sign-in-alt': !loading, 'fa-spinner fa-pulse': loading}"></i> Iniciar</button>
          </div>
        </div>
      </form>

      <p class="mb-1 mt-3">
        <a routerLink="/forget">Olvidé mi contraseña</a>
      </p>
      <p class="mb-1">
        <a routerLink="/register" class="text-center">Registrar</a>
      </p>
    </div>
  </div>
</div>
